org.apache.jmeter.gui.action

## Class ChangeParent

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.ChangeParent

All Implemented Interfaces:
  Command

    public class ChangeParent
    extends AbstractAction

Allows to change Controller implementation

### Constructor Summary

Constructors
Constructor and Description
`ChangeParent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeParent

    public ChangeParent()

### Method Detail

#### doAction

    public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  `Command.doAction(ActionEvent)`

#### getActionNames

    public Set<String> getActionNames()